<?php


namespace App\Controllers;

use CodeIgniter\HTTP\RequestInterface;
use CodeIgniter\API\ResponseTrait;

class Myfit extends BaseController
{
    use ResponseTrait;
    protected $request;

    public function __construct()
    {
        $this->request = $request = \Config\Services::request();
    }


    public function index()
    {
        $mBlogData = new \App\Models\myfitBlogData();
        $res1 = $mBlogData->getBlogData([]);
        return $this->response->setJson($res1);
    }

    public function contact()
    {
        /*$inx = array(
            'name' => $this->post('name'),
            'email' => $this->post('email'),
            'country' => $this->post('country'),
            'phone' => $this->post('phone'),
            'message' => $this->post('message')
        );
        $something = $this->request->getVar('name');
        */
        $raw_json = file_get_contents("php://input");
        $raw_array = json_decode($raw_json, true);
        $something = $raw_array["name"];

        $inx = [
            'message_id' => rand(100, 8888) . 'gsgsgsgsg-sssfsgggsgs-ususususu',
            'status'=>1
        ];
        $mBlogData = new \App\Models\myfitBlogData();
        $res1 = $mBlogData->getBlogData([]);
        //return $this->response->setJson($res1);
        return $this->response->setJson($inx);
    }


    public function blogdata()
    {
      /*  header("Access-Control-Allow-Origin: *");
        //header("x-devicetoken : *");
        //header("Authorization : Token");
        header("Access-Control-Expose-Headers: Access-Control-Allow-Origin");
        header("Access-Control-Allow-Headers: Cache-Control, Pragma, Origin, Authorization, Content-Type, X-Requested-With,x-session-id, client_id, x-float-device-location-latitude, x-float-device-location-longitude, x-devicetoken");
        header("Access-Control-Allow-Methods: POST, GET, PUT, DELETE, OPTIONS");
        header('Content-type: application/json');
        Access-Control-Allow-Origin

           header1 = ('Access-Control-Allow-Credentials','true')
          header2 = ('Access-Control-Allow-Origin', 'https://serviceview.example.com')
          
*/
        header("Access-Control-Allow-Origin: * ");
        //header("Access-Control-Allow-Origin: http://localhost:9057 ");
        header("Access-Control-Expose-Headers: Access-Control-Allow-Origin");
        header("Access-Control-Allow-Credentials: true ");
        //header("Access-Control-Allow-Headers: Cache-Control, Pragma, Origin, Authorization, Content-Type, X-Requested-With");
        header("Access-Control-Allow-Methods: POST, GET, PUT, DELETE, OPTIONS");
        header('Content-type: application/json');

        $mBlogData = new \App\Models\myfitBlogData();
        $res1 = $mBlogData->getBlogData([]);
        return $this->response->setJson($res1);
       //  $this->setGetReturn(res1);
    }

    public function country()
    {
        //header("Access-Control-Allow-Origin: http://localhost:9057 ");
        header("Access-Control-Allow-Origin: * ");
        header("Access-Control-Expose-Headers: Access-Control-Allow-Origin");
        header("Access-Control-Allow-Credentials: true ");
        //header("Access-Control-Allow-Headers: Cache-Control, Pragma, Origin, Authorization, Content-Type, X-Requested-With");
        header("Access-Control-Allow-Methods: POST, GET, PUT, DELETE, OPTIONS");
        header('Content-type: application/json');

        $mCountry = new \App\Models\myfitCountry();
        return $this->response->setJson($mCountry->getSiteCountries([]));
    }

    public function faq()
    {
        //header("Access-Control-Allow-Origin: http://localhost:9057 ");
        header("Access-Control-Allow-Origin: * ");
        header("Access-Control-Expose-Headers: Access-Control-Allow-Origin");
        header("Access-Control-Allow-Credentials: true ");
        //header("Access-Control-Allow-Headers: Cache-Control, Pragma, Origin, Authorization, Content-Type, X-Requested-With");
        header("Access-Control-Allow-Methods: POST, GET, PUT, DELETE, OPTIONS");
        header('Content-type: application/json');

        $mFaq = new \App\Models\myfitFaqData();
        return $this->response->setJson($mFaq->getSiteFaq([]));
    }
    
    public function pricing()
    {
        //header("Access-Control-Allow-Origin: http://localhost:9057 ");
        header("Access-Control-Allow-Origin: * ");
        header("Access-Control-Expose-Headers: Access-Control-Allow-Origin");
        header("Access-Control-Allow-Credentials: true ");
        //header("Access-Control-Allow-Headers: Cache-Control, Pragma, Origin, Authorization, Content-Type, X-Requested-With");
        header("Access-Control-Allow-Methods: POST, GET, PUT, DELETE, OPTIONS");
        header('Content-type: application/json');

        $mPricing = new \App\Models\myfitPricing();
        return $this->response->setJson($mPricing->getSitePricing([]));
    }

    private function setGetReturn($resp){
        header("Access-Control-Allow-Origin: * ");
        //header("Access-Control-Allow-Origin: http://localhost:9057 ");
        header("Access-Control-Expose-Headers: Access-Control-Allow-Origin");
        header("Access-Control-Allow-Credentials: true ");
        //header("Access-Control-Allow-Headers: Cache-Control, Pragma, Origin, Authorization, Content-Type, X-Requested-With");
        header("Access-Control-Allow-Methods: POST, GET, PUT, DELETE, OPTIONS");
        header('Content-type: application/json');
        return $this->response->setJson($resp);
    }
}